> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Transfer

> Use this API to create multiple transfers to multiple beneficiaries. This API accepts an array of transfer objects under the batch field.



## OpenAPI

````yaml post /payout/v1/requestBatchTransfer
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/requestBatchTransfer:
    post:
      summary: Batch Transfer
      description: >-
        Use this API to create multiple transfers to multiple beneficiaries.
        This API accepts an array of transfer objects under the batch field.
      operationId: batch-transfer1
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_requestBatchTransfer_body'
      responses:
        '200':
          description: '200'
          content:
            text/plain:
              examples:
                Result:
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Request accepted
                    data:
                      referenceId: 1594
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '409':
          description: '409'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_409_2'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_422_4'
      deprecated: false
      security: []
components:
  schemas:
    v1_requestBatchTransfer_body:
      required:
        - batch
        - batchFormat
        - batchTransferId
      type: object
      properties:
        batchTransferId:
          type: string
          description: >-
            Unique Id of the Batch Transfer, alphanumeric and underscore allowed
            (60 character limit)
        batchFormat:
          type: string
          description: >-
            Format of the batch transfers, valid values are, BENEFICIARY_ID,
            BANK_ACCOUNT, UPI, PAYTM, AMAZONPAY. Details are available below.
        deleteBene:
          type: boolean
          description: >-
            Flag to delete and read new beneficiaries if a beneficiary with the
            same Beneficiary Id is available. When the batch transfer format is
            BANK_ACCOUNT
        batch:
          type: array
          description: An array of transfer objects
          items:
            type: string
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_409_2:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '409'
        message:
          type: string
          example: Batch TransferId abc-12356 already exists
    inline_response_422_4:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: Permission Denied

````